Bug 1693998 - [Tracker] Rebase on Gluster 6
Summary: [Tracker] Rebase on Gluster 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: glusterfs
Version: 4.3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.3.5
: 4.3.5
Assignee: Sahina Bose
QA Contact:
URL:
Whiteboard:
Depends On: 1718162 1718215
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 08:58 UTC by Sandro Bonazzola
Modified: 2019-07-30 14:08 UTC (History)
3 users (show)

Fixed In Version: 4.3.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 14:08:23 UTC
oVirt Team: Gluster
sbonazzo: ovirt-4.3?


Attachments (Terms of Use)

Description Sandro Bonazzola 2019-03-29 08:58:36 UTC
Gluster 6 has been released: https://www.gluster.org/announcing-gluster-6/

Gluster 7 is expected to be released on July 2019 https://github.com/gluster/glusterfs/milestone/9

Gluster 5 is expected to go EOL once Gluster 8 will be released: https://www.gluster.org/release-schedule/
So it may happen that Gluster 5 will go EOL while oVirt 4.3 is still supported.

Comment 1 Strahil Nikolov 2019-05-15 21:18:41 UTC
Just a short info - running 4.3.3.7 with Gluster v6.1 is OK (for now), but I have noticed that my performance used to be better before - but that is a crazy setup.

I am using a team device with loadbalance (eth + l3 + l4 for tx hashing) and the performance on 5.6 (with cluster op version 31200 as I never knew there is such an option that needs to be raised) was around 120MB/s (tested with dd if=/dev/zero of=file/on/fuse/mountpoint bs=4M count=1000) and now it is at 80MB/s (same test).

Most probably any default option was changed and this modified the results.
Yet, v5.6 had issues with dom_md/ids was always pending a heal, while in v 6.1 everything is fine (set the storage domain in maintenance during the upgrade).

Comment 2 Strahil Nikolov 2019-06-06 20:38:48 UTC
Update:
oVirt 4.3.4 (RC4) - I have detected that the arbiter brick "Advanced Details (Storage -> Volumes -> Volume -> Bricks -> Select "Brick" -> Advanced Details) is working properly, while the Data brick reports 'Error in fetching the brick details, please try again.' .

Comment 4 SATHEESARAN 2019-07-18 06:56:49 UTC
Tested RHV 4.3.5 with gluster-6.0-7 and all worked good

Comment 5 Strahil Nikolov 2019-07-18 10:49:23 UTC
The previously reported issue is most probably related to non-standard network setup.

Comment 6 Sandro Bonazzola 2019-07-30 14:08:23 UTC
This bugzilla is included in oVirt 4.3.5 release, published on July 30th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.5 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.